import { select, arc } from 'd3';
const svg = select("svg");


// const height = parseFloat(svg.attr("height"));
const height = +svg.attr("height");
// const width = parseFloat(svg.attr("width"));
const width = +svg.attr("width");

const g = svg.append("g")
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append("circle")
	.attr("r", height/2)
	.attr("fill", "yellow")
	.attr("stroke", "black");

// EYES
const eyeSpacing = 100;
const eyeYoffset = -70;
const eyeRadius = 40;

const eyesG = g.append("g")
	.attr('transform', `translate(0 , ${eyeYoffset})`);

const leftEye = eyesG.append("circle")
	.attr("r", eyeRadius)
	.attr("cx",  - eyeSpacing);
	
const rightEye = eyesG.append("circle")
	.attr("r", eyeRadius)
	.attr("cx", eyeSpacing);

// EYEBROWS
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYoffset = -70;

const leftEyebrown = eyesG.append("rect")
	.attr('x', -eyeSpacing - eyebrowWidth/2)
  .attr('y',eyebrowYoffset)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight);

const rightEyebrown = eyesG.append("rect")
	.attr('x', eyeSpacing - eyebrowWidth/2)
  .attr('y',eyebrowYoffset)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight);

// MOUTH
const mouth = g.append("path")
	.attr("d", arc() ({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI/2,
  endAngle: 1.5 * Math.PI
})); 